Eclipse Platform Release 3.7

## org.eclipse.help
Class UAContentFilter

    java.lang.Object
      org.eclipse.help.UAContentFilter

    public class UAContentFilter

extends Object

This class provides the ability to filter out user assistance model elements that support filtering (e.g. `IToc`, `ITopic`, ...). Implementations that display such elements should consult this class before attempting to display them.

Since:
  3.2

Constructor Summary
`UAContentFilter()`

Method Summary
`static boolean` `isFiltered(Object element)` Returns whether or not the given object should be filtered out.
`static boolean` `isFiltered(Object element, IEvaluationContext context)` Returns whether or not the given object should be filtered out.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### UAContentFilter

    public UAContentFilter()

Method Detail

### isFiltered

    public static boolean isFiltered(Object element)

  Returns whether or not the given object should be filtered out. This applies to any user assistance component's elements where filters apply (e.g. help tocs, topics, intro elements, context help topics). If the element is `null` or is not filterable, this method returns `false`.

  This method is for use in non-UI environments, when serving help outside the workbench. If filtering from the UI, use the `isFiltered` method that accepts the evaluation context as well.

  Parameters:
    `element` - the element to check
  Returns:
    whether or not the element should be filtered out

### isFiltered

    public static boolean isFiltered(Object element,
                                     IEvaluationContext context)

  Returns whether or not the given object should be filtered out. This applies to any user assistance component's elements where filters apply (e.g. help tocs, topics, intro elements, context help topics). If the element is `null` or is not filterable, this method returns `false`. The evaluation context provides the default object to test on and a set of variables that can be accessed.

  Parameters:
    `element` - the element to check
    `context` - the evaluation context for evaluating expressions
  Returns:
    whether or not the element should be filtered out

Eclipse Platform Release 3.7

Guidelines for using Eclipse APIs.

Copyright (c) Eclipse contributors and others 2000, 2011. All rights reserved.